/* Mesures de temps "à vide"                    */

public class VideAvecMinuteur {
  
  /* Fonction principale                          */

  public static void main(String [] args) {
    for ( int n = 0 ; n <= 100 ; n++ ) {
      { Utilitaires.Minuteur minuteur = new Utilitaires.Minuteur();
        minuteur.temps = 5000;
        minuteur.lancement();
        long cpt = 0;
        long ti = System.nanoTime();
        while ( minuteur.enCours == true ) {
          cpt++; }
        long tf = System.nanoTime();
        Ecran.formater("%10.3f ns",(double) (tf-ti)/cpt); }
      { Utilitaires.Minuteur minuteur = new Utilitaires.Minuteur();
        minuteur.temps = 5000;
        minuteur.lancement();
        long cpt = 0;
        long ti = System.nanoTime();
        while ( minuteur.enCours == true ) {
          cpt++; }
        long tf = System.nanoTime();
        Ecran.formater("%10.3f ns",(double) (tf-ti)/cpt); }
      Ecran.sautDeLigne();
    }
  }
}